Bug 46998 - Network install fails with multiple NICs
Network install fails with multiple NICs
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-02 12:00 EDT by Pekka Pietikäinen
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-05 12:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Pietikäinen 2001-07-02 12:00:42 EDT
When trying to perform a NFS install on a machine with
several NICs the installer correctly detects them 
and lets the user choose which one to use. However, after the correct NIC 
is selected (in this case eth1), mounting the NFS directory fails
with a "no route to host" error. The machine does not respond
to pings on either interface to the IP that was configured into it.
Comment 1 Matt Wilson 2001-07-05 12:54:22 EDT
I do multi-NIC installs all day using DHCP.  I need more data.
Comment 2 Pekka Pietikäinen 2001-07-06 10:00:54 EDT
Erk, now I figured it out. I redid the test (although on a different
machine, but same NICs) and it worked just fine.

Then I remembered I had problems some time ago on the original machine
with networking not working at all when a eepro100+tulip were plugged in, but
_only_ when IO-APIC was disabled. Remove the tulip or use SMP and everything 
is happy again. Of course the install uses a non-SMP kernel, and
removing the tulip made the eepro100 work with the installer, so
I assumed it was a installer bug :)

So if there's a bug, it's most likely my hardware.

Note You need to log in before you can comment on or make changes to this bug.